using System.Text;
using BizTalk.BuildGenerator.BuildFrameworks.Default.CommandBuilders;
using BizTalk.BuildGenerator.MetaData;

namespace BizTalk.BuildGenerator.BuildFrameworks.Default.FileBuilders
{
    /// <summary>
    /// Creates the common application targets file
    /// </summary>
    public class CommonApplicationTargetsFileBuilder : IFileBuilder
    {
        private const string FileExtension = ".targets";

        #region IFileBuilder Members
        /// <summary>
        /// Implements file builder
        /// </summary>
        /// <param name="args"></param>
        public void Build(GenerationArgs args)
        {
            //Setup Template
            var fileBuilder = new StringBuilder();
            fileBuilder.Append(Properties.Resources.App_targets);
            GenerationTags.ReplaceTags(fileBuilder, args);

            //Add Commands
            var commandBuilder = new RemoveFromGacCommandBuilder();
            commandBuilder.Build(args, fileBuilder);

            //Write file
            var filePath = args.OutputFolder + @"\" + args.ApplicationDescription.Name + FileExtension;
            FileHelper.ConfigureForSourceCodeRoot(fileBuilder, args);
            FileHelper.WriteFile(filePath, fileBuilder);
        }

        #endregion
    }
}