using System.IO;
using System.Xml.Serialization;
using BizTalk.BuildGenerator.MetaData;

namespace BizTalk.BuildGenerator.UI
{
    public class ArgsHelper
    {
        /// <summary>
        /// Saves the args to a file
        /// </summary>
        /// <param name="path"></param>
        /// <param name="args"></param>
        public static void Save(string path, GenerationArgs args)
        {
            using (var fs = new FileStream(path, FileMode.Create, FileAccess.Write))
            {
                var serializer = new XmlSerializer(typeof (GenerationArgs));
                serializer.Serialize(fs, args);
                fs.Flush();
                fs.Close();
            }
        }

        /// <summary>
        /// Opens a file and deserializes it to the generation args
        /// </summary>
        /// <param name="path"></param>
        /// <returns></returns>
        public static GenerationArgs Open(string path)
        {
            GenerationArgs args;

            using (var fs = new FileStream(path, FileMode.Open, FileAccess.Read))
            {
                var serializer = new XmlSerializer(typeof (GenerationArgs));
                args = (GenerationArgs) serializer.Deserialize(fs);
                fs.Close();
            }

            return args;
        }
    }
}