using System;
using System.Windows.Forms;
using BizTalk.BuildGenerator.MetaData;
using BizTalk.BuildGenerator.UI.Navigation;

namespace BizTalk.BuildGenerator.UI.UserControls
{
    public partial class ApplicationDeploymentControl : UserControl, IWizardControl
    {
        private ApplicationDeployment _deployment = new ApplicationDeployment();

        public ApplicationDeploymentControl()
        {
            InitializeComponent();
        }

        public void RegisterDeployment(ApplicationDeployment deployment)
        {
            _deployment = deployment;
        }

        private void ApplicationDeploymentControlLoad(object sender, EventArgs e)
        {
            DeploymentPathTextBox.Text = _deployment.PublishMsiPath;
        }

        private void BrowseFileButtonClick(object sender, EventArgs e)
        {
            var dr = saveFileDialog.ShowDialog();
            if (dr == DialogResult.OK)
            {
                DeploymentPathTextBox.Text = saveFileDialog.FileName;
            }
        }

        #region IWizardControl Members

        public MoveNextResult MoveNext()
        {
            var result = new MoveNextResult();
            _deployment.PublishMsiPath = DeploymentPathTextBox.Text;

            if (string.IsNullOrEmpty(_deployment.PublishMsiPath))
            {
                result.CanMoveNext = false;
                result.AddError(@"The msi path has not been selected");
            }
            else
                result.CanMoveNext = true;

            return result;
        }

        #endregion
    }
}