using System;
using System.ComponentModel;
using System.Drawing.Design;
using System.Windows.Forms.Design;

namespace BizTalk.BuildGenerator.MetaData
{
    /// <summary>
    /// 
    /// </summary>
    /// <remarks>
    /// <Exec Command="BTSTask ImportBindings -Source:$(DevelopmentBizTalkBindingFile) -ApplicationName:$(ProductName)" />
    /// </remarks>
    [Serializable]
    public class ApplicationBinding
    {
        private string _bindingFilePath;


        [Editor(typeof (FileNameEditor), typeof (UITypeEditor))]
        [Description("The path to the binding file")]
        public string BindingFilePath
        {
            get { return _bindingFilePath; }
            set { _bindingFilePath = value; }
        }
        /// <summary>
        /// Overrides tostring for the designer
        /// </summary>
        /// <returns></returns>
        public override string ToString()
        {            
// ReSharper disable AssignNullToNotNullAttribute
            return !string.IsNullOrEmpty(_bindingFilePath) ? System.IO.Path.GetFileName(_bindingFilePath) : base.ToString();
// ReSharper restore AssignNullToNotNullAttribute
        }
    }
}