using System;

namespace BizTalk.BuildGenerator.MetaData.ResourceAdapters
{
    public class WebDirectoryResourceAdapter : BaseResourceAdapter
    {
        private const string SourceLocationPropertyName = "SourceLocation";
        private const string DestinationLocationPropertyName = "DestinationLocation";
        private const string PhysicalPathPropertyName = "PhysicalPath";
        private const string AspNetVersionPropertyName = "AspNetVersion";
        private const string IISProcessModePropertyName = "IISProcessMode";

        public static WebDirectoryResourceAdapter Create(ApplicationResource resource)
        {
            if (resource.Type != ResourceTypes.WebDirectory)
                throw new ApplicationException("Invalid resource type");

            return new WebDirectoryResourceAdapter(resource);
        }

        private WebDirectoryResourceAdapter(ApplicationResource resource)
            : base(resource)
        {
        }

        public string DestinationLocation
        {
            get { return (string) FindPropertyValue(DestinationLocationPropertyName); }
        }

        public string SourceLocation
        {
            get { return (string) FindPropertyValue(SourceLocationPropertyName); }
        }

        public string PhysicalPath
        {
            get { return (string) FindPropertyValue(PhysicalPathPropertyName); }
        }

        public string AspNetVersion
        {
            get { return (string) FindPropertyValue(AspNetVersionPropertyName); }
        }

        public string IISProcessMode
        {
            get { return (string) FindPropertyValue(IISProcessModePropertyName); }
        }
    }
}