using System.Text;

namespace BizTalk.BuildGenerator.FileBuilders
{
    /// <summary>
    /// Builds the App.Custom.targets file
    /// </summary>
    public class CustomPropertiesFileBuilder : IFileBuilder
    {
        private const string FileExtension = ".Custom.properties";

        #region IFileBuilder Members

        public void Build(GenerationArgs args)
        {
            StringBuilder fileBuilder = new StringBuilder();
            fileBuilder.Append(Resources.App_Custom_Properties);
            GenerationTags.ReplaceTags(fileBuilder, args);

            string filePath = args.OutputFolder + @"\" + args.ApplicationDescription.Name + FileExtension;
            FileHelper.WriteFile(filePath, fileBuilder);
        }

        #endregion
    }
}