using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Build.Utilities;
using System.Management;
using System.Diagnostics;
using Microsoft.Build.Framework;

namespace BizTalk.BuildGenerator.Tasks
{
    /// <summary>
    /// Task to delete hosts
    /// </summary>
    public class DeleteHost : Task
    {
        string _HostName;

        #region Properties        
        /// <summary>
        /// HostName
        /// </summary>
        [Required]
        public string HostName
        {
            get { return _HostName; }
            set { _HostName = value; }
        }
        #endregion

        /// <summary>
        /// Execute method
        /// </summary>
        /// <returns></returns>
        public override bool Execute()
        {
            try
            {
                HostsHelper.GetHostSettingsObject(this._HostName).Delete();
                return true;
            }
            catch (Exception ex)
            {
                Trace.WriteLine("Delete host failed: " + ex.ToString());
                throw;
            }
        }        
    }
}
