using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Build.Framework;

namespace BizTalk.BuildGenerator.Tasks.SSO
{
    /// <summary>
    /// Creates a set of SSO applications based on the details of a file
    /// </summary>
    public class CreateApplications : BaseSSOTask
    {
        private string _ApplicationDefinitionPath;

        /// <summary>
        /// The location of the file defining the SSO Applications
        /// </summary>
        [Required]
        public string ApplicationDefinitionPath
        {
            get { return _ApplicationDefinitionPath; }
            set { _ApplicationDefinitionPath = value; }
        }
        /// <summary>
        /// execute task
        /// </summary>
        /// <returns></returns>
        public override bool Execute()
        {
            string arguments = string.Format("-createapps {0}", this._ApplicationDefinitionPath);
            base.ExecuteSsoManage(arguments);
            return true;
        }
    }
}
