using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Build.Framework;
using System.Management;
using Microsoft.Build.Utilities;
using System.Diagnostics;

namespace BizTalk.BuildGenerator.Tasks
{
    /// <summary>
    /// Task to start hosts
    /// </summary>
    /// <example>
    /// <BizTalk.BuildGenerator.Tasks.StartHost HostName="$(InProcessHostName)"/>
    /// </example>
    public class StartHost : Task
    {
        string _HostName;

        #region Properties
        /// <summary>
        /// HostName
        /// </summary>
        [Required]
        public string HostName
        {
            get { return _HostName; }
            set { _HostName = value; }
        }
        #endregion

        /// <summary>
        /// Execute method
        /// </summary>
        /// <returns></returns>
        public override bool Execute()
        {
            try
            {
                ManagementObject hostObject = HostsHelper.GetHostObject(this._HostName);
                hostObject.InvokeMethod("Start", null, null);

                return true;
            }
            catch (Exception ex)
            {
                Trace.WriteLine("Start host failed: " + ex.ToString());
                throw;
            }
        }
    }
}
