using System;
using System.IO;
using System.Windows.Forms;

namespace BizTalk.BuildGenerator.UI
{
    public partial class OpenWizardForm : Form
    {
        private Form _Host;

        public OpenWizardForm()
        {
            InitializeComponent();
        }

        public OpenWizardForm(Form host)
        {
            this._Host = host;
            InitializeComponent();
        }

        private void BrowseFileButton_Click(object sender, EventArgs e)
        {
            DialogResult dr = openFileDialog.ShowDialog();
            if (dr == DialogResult.OK)
            {
                PathTextBox.Text = openFileDialog.FileName;
            }
        }

        private void OpenWizardButton_Click(object sender, EventArgs e)
        {
            if (!File.Exists(PathTextBox.Text))
            {
                MessageBox.Show("The file does not exist");
                return;
            }

            GenerationArgs args = null;
            try
            {
                args = ArgsHelper.Open(PathTextBox.Text);
            }
            catch
            {
                MessageBox.Show(
                    "There was an error reading the saved file, please check its format as it seems to be invalid");
                return;
            }
            WizardForm wizard = new WizardForm(args);
            if (this._Host != null)
                wizard.MdiParent = this._Host;

            wizard.Show();
            Close();
        }
    }
}