using System;
using System.Windows.Forms;
using BizTalk.BuildGenerator.UI.Navigation;

namespace BizTalk.BuildGenerator.UI.UserControls
{
    public partial class ApplicationBindingsControl : UserControl, IWizardControl
    {
        private ApplicationBindings _Bindings = new ApplicationBindings();

        public ApplicationBindingsControl()
        {
            InitializeComponent();
        }


        public void RegisterBindings(ApplicationBindings binding)
        {
            _Bindings = binding;
        }

        private void ApplicationBindingsControl_Load(object sender, EventArgs e)
        {
            if (!DesignMode)
            {
                BindingsPropertyGrid.SelectedObject = _Bindings;
            }
        }

        #region IWizardControl Members

        public MoveNextResult MoveNext()
        {
            MoveNextResult result = new MoveNextResult();
            result.CanMoveNext = true;
            return result;
        }

        #endregion
    }
}