using System.Text;

namespace BizTalk.BuildGenerator.FileBuilders
{
    /// <summary>
    /// Builds the App.Setup.targets file
    /// </summary>
    public class ApplicationPropertiesFileBuilder : IFileBuilder
    {
        private const string FileExtension = ".properties";

        #region IFileBuilder Members
        /// <summary>
        /// implements file builder
        /// </summary>
        /// <param name="args"></param>
        public void Build(GenerationArgs args)
        {
            StringBuilder fileBuilder = new StringBuilder();
            fileBuilder.Append(Resources.App_properties);
            GenerationTags.ReplaceTags(fileBuilder, args);

            string filePath = args.OutputFolder + @"\" + args.ApplicationDescription.Name + FileExtension;
            FileHelper.ConfigureForSourceCodeRoot(fileBuilder, args);

            //The root tag is only replaced here so it is not overwritten when configuring the root path everywhere else
            fileBuilder.Replace(GenerationTags.SourceCodeRootTag, args.SourceCodeRootFolder); 
            
            FileHelper.WriteFile(filePath, fileBuilder);
        }

        #endregion
    }
}