using System.Text;

namespace BizTalk.BuildGenerator.FileBuilders
{
    public class ReleaseCmdFileBuilder : IFileBuilder
    {
        private const string FileExtension = ".Build.Release.cmd";

        #region IFileBuilder Members

        public void Build(GenerationArgs args)
        {
            StringBuilder fileBuilder = new StringBuilder();
            fileBuilder.Append(Resources.App_Build_Release);
            GenerationTags.ReplaceTags(fileBuilder, args);

            string filePath = args.OutputFolder + @"\" + args.ApplicationDescription.Name + FileExtension;
            FileHelper.WriteFile(filePath, fileBuilder);
        }

        #endregion
    }
}