using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Build.Framework;
using System.IO;

namespace BizTalk.BuildGenerator.Tasks.BAM
{
    /// <summary>
    /// Backs up the tracking profile file so if something has been incorrectly configured then
    /// the original is still there to fix it with
    /// </summary>
    public class BackupTrackingProfileFile : BaseBMTask
    {
        private string _OutputFilePath;
        private string _TrackingProfilePath;

        /// <summary>
        /// The path to the tracking profile file
        /// </summary>
        [Required]
        public string TrackingProfilePath
        {
            get { return _TrackingProfilePath; }
            set { _TrackingProfilePath = value; }
        }
        /// <summary>
        /// The path to the file where this will be placed
        /// </summary>
        [Required]
        public string OutputFilePath
        {
            get { return _OutputFilePath; }
            set { _OutputFilePath = value; }
        }
        /// <summary>
        /// Executes the task
        /// </summary>
        /// <returns></returns>
        public override bool Execute()
        {
            File.Copy(this._TrackingProfilePath, this._OutputFilePath, true);
            return true;
        }
    }
}
