using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Build.Framework;

namespace BizTalk.BuildGenerator.Tasks.BAM
{
    /// <summary>
    /// Deploys a BAM definition
    /// </summary>
    public class DeployDefinition : BaseBMTask 
    {
        private string _DefinitionFilePath;

        /// <summary>
        /// The path to the BAM definition, expected to be xml or xls
        /// </summary>
        [Required]
        public string DefinitionFilePath
        {
            get { return _DefinitionFilePath; }
            set { _DefinitionFilePath = value; }
        }       
        /// <summary>
        /// Executes the task
        /// </summary>
        /// <returns></returns>
        public override bool Execute()
        {
            const string argsFormat = "deploy-all -DefinitionFile:{0}";
            return base.ExecuteBM(string.Format(argsFormat, this._DefinitionFilePath));            
        }
    }
}
