using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Build.Framework;

namespace BizTalk.BuildGenerator.Tasks.BAM
{
    /// <summary>
    /// Deploys a BAM tracking profile
    /// </summary>
    public class DeployTrackingProfile : BaseBTTDeployTask 
    {
        private string _TrackingProfilePath;

        /// <summary>
        /// The path to the BAM tracking profile .btt file
        /// </summary>
        [Required]
        public string TrackingProfilePath
        {
            get { return _TrackingProfilePath; }
            set { _TrackingProfilePath = value; }
        }       
        /// <summary>
        /// Executes the task
        /// </summary>
        /// <returns></returns>
        public override bool Execute()
        {
            const string argsFormat = "{0}";
            return base.ExecuteBTTDeploy(string.Format(argsFormat, this._TrackingProfilePath));            
        }
    }
}
