using System;
using System.Collections.Generic;
using System.Text;

namespace BizTalk.BuildGenerator.Tasks.BAM
{
    /// <summary>
    /// Updates a BAM definition
    /// </summary>
    public class UpdateDefinition : BaseBMTask 
    {
        private string _DefinitionFilePath;

        /// <summary>
        /// The path to the definition file, expected to be xml or xls
        /// </summary>
        public string DefinitionFilePath
        {
            get { return _DefinitionFilePath; }
            set { _DefinitionFilePath = value; }
        }            
        /// <summary>
        /// Executes the task
        /// </summary>
        /// <returns></returns>
        public override bool Execute()
        {
            const string argsFormat = "update-all -DefinitionFile:{0}";
            return base.ExecuteBM(string.Format(argsFormat, this._DefinitionFilePath));            
        }
    }
}
