using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Build.Utilities;
using System.IO;
using Microsoft.Build.Framework;

namespace BizTalk.BuildGenerator.Tasks.BRE
{
    /// <summary>
    /// Task to import a policy
    /// </summary>
    public class ImportPolicy : BaseBRETask
    {
        private string _FilePath;

        /// <summary>
        /// The filepath to the vocabulary
        /// </summary>
        [Required]
        public string FilePath
        {
            get { return _FilePath; }
            set { _FilePath = value; }
        }
        /// <summary>
        /// Task execute method
        /// </summary>
        /// <returns></returns>
        public override bool Execute()
        {
            BREManager mgr = base.CreateManager();
            mgr.Import(this._FilePath);
            return true;
        }
    }
}
