using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Build.Utilities;
using System.Diagnostics;
using System.IO;

namespace BizTalk.BuildGenerator.Tasks.SSO
{
    /// <summary>
    /// Base task for Business Rules Engine Tasks
    /// </summary>
    public class BaseSSOTask : Task
    {
        private string _SSOManagePath = @"C:\Program Files\Common Files\Enterprise Single Sign-On\ssomanage";

        /// <summary>
        /// Executes SSOManage with a set of arguments
        /// </summary>
        /// <param name="arguments"></param>
        protected void ExecuteSsoManage(string arguments)
        {
            Microsoft.Build.Tasks.Exec exec = new Microsoft.Build.Tasks.Exec();
            exec.BuildEngine = this.BuildEngine;
            exec.Command = "\"" + this._SSOManagePath + "\" " + arguments;            
            exec.Execute();            
        }

  



        /// <summary>
        /// The ppath to SSOManage
        /// </summary>
        public string SSOManagePath
        {
            get { return _SSOManagePath; }
            set { _SSOManagePath = value; }
        }
        /// <summary>
        /// Execute
        /// </summary>
        /// <returns></returns>
        public override bool Execute()
        {
            return true;
        }
    }
}
