using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Build.Utilities;
using Microsoft.BizTalk.Adapter.Wcf.Publishing.Description;
using Microsoft.Build.Framework;
using Microsoft.BizTalk.Adapter.Wcf.Publishing;

namespace BizTalk.BuildGenerator.Tasks
{
    /// <summary>
    /// Publishes a wcf service based on the description file
    /// </summary>
    public class WcfServiceGenerator : Task
    {
        private string _DescriptionPath;

        /// <summary>
        /// The path to the description file
        /// </summary>
        [Required]
        public string DescriptionPath
        {
            get { return _DescriptionPath; }
            set { _DescriptionPath = value; }
        }
        /// <summary>
        /// Overrides the execute to implement the task
        /// </summary>
        /// <returns></returns>
        public override bool Execute()
        {
            WcfServiceDescription description = WcfServiceDescription.LoadXml(this._DescriptionPath);
            Publisher publisher = new Publisher();
            publisher.Publish(description);
            return true;
        }
    }
}
