﻿using System;
using System.Collections.Generic;
using System.Text;

namespace BizTalk.BuildGenerator
{
    /// <summary>
    /// Allows the provider to update the UI as to progress of the generation
    /// </summary>
    /// <param name="percentageComplete"></param>
    public delegate void BuildProcessUpdate(int percentageComplete);
    
    /// <summary>
    /// Interface to be implemented by build providers
    /// </summary>
    public interface IBuildProvider
    {
        /// <summary>
        /// Event to update the build process status
        /// </summary>
        event BuildProcessUpdate Update;
        /// <summary>
        /// Method to get provider to create build scripts
        /// </summary>
        /// <param name="args"></param>
        void CreateBuild(GenerationArgs args);
    }
}
