using System;
using BizTalk.BuildGenerator.MetaData;

namespace BizTalk.BuildGenerator
{
    /// <summary>
    /// These are the args for generating the build
    /// </summary>
    [Serializable]
    public class GenerationArgs
    {        
        private ApplicationSetup _ApplicationSetup = new ApplicationSetup();
        private UnitTesting _UnitTesting = new UnitTesting();
        private ApplicationDeployment _ApplicationDeployment = new ApplicationDeployment();
        private ApplicationBindings _ApplicationBindings = new ApplicationBindings();
        private ApplicationDescription _ApplicationDescription = new ApplicationDescription();
        private PublishedWebServices _WebServices = new PublishedWebServices();
        private BuildReferences _BuildReferences = new BuildReferences();
        private string _OutputFolder;
        private string _SolutionPath;        
        private BizTalkHosts _BizTalkHosts = new BizTalkHosts();
        private string _GenerationProvider;
        private BuildProperties _BuildProperties = new BuildProperties();

        public BuildProperties BuildProperties
        {
            get { return _BuildProperties; }
            set { _BuildProperties = value; }
        }

        public string GenerationProvider
        {
            get { return _GenerationProvider; }
            set { _GenerationProvider = value; }
        }


        public string SolutionPath
        {
            get { return _SolutionPath; }
            set { _SolutionPath = value; }
        }

        public BizTalkHosts BizTalkHosts
        {
            get { return _BizTalkHosts; }
            set { _BizTalkHosts = value; }
        }
        
        public BuildReferences BuildReferences
        {
            get { return _BuildReferences; }
            set { _BuildReferences = value; }
        }

        public string OutputFolder
        {
            get { return _OutputFolder; }
            set { _OutputFolder = value; }
        }

        public PublishedWebServices WebServices
        {
            get { return _WebServices; }
            set { _WebServices = value; }
        }

        public ApplicationDescription ApplicationDescription
        {
            get { return _ApplicationDescription; }
            set { _ApplicationDescription = value; }
        }


        public ApplicationBindings ApplicationBindings
        {
            get { return _ApplicationBindings; }
            set { _ApplicationBindings = value; }
        }


        public ApplicationDeployment ApplicationDeployment
        {
            get { return _ApplicationDeployment; }
            set { _ApplicationDeployment = value; }
        }


        public UnitTesting UnitTesting
        {
            get { return _UnitTesting; }
            set { _UnitTesting = value; }
        }


        public ApplicationSetup ApplicationSetup
        {
            get { return _ApplicationSetup; }
            set { _ApplicationSetup = value; }
        }
    }
}