using System.Linq;
using System.Text;
using BizTalk.BuildGenerator.MetaData;

namespace BizTalk.BuildGenerator.BuildFrameworks.Default.CommandBuilders.BizTalkHost
{
    public class CleanHostCommandBuilder : ICommandBuilder 
    {
        private const string Command = "\t\t<BizTalk.BuildGenerator.Tasks.CleanHostQueue ContinueOnError=\"true\"   HostName=\"{0}\" />";
        private const string Key = "<!-- @CleanHostQueueCommand@ -->";


        #region ICommandBuilder Members
        /// <summary>
        /// Implements the Command Builder
        /// </summary>
        /// <param name="args"></param>
        /// <param name="fileBuilder"></param>
        public void Build(GenerationArgs args, StringBuilder fileBuilder)
        {
            var sb = new StringBuilder();

            foreach (var cmd in args.BizTalkHosts.Hosts.Select(host => string.Format(Command, host.Name)))
            {
                sb.AppendLine(cmd);
            }

            fileBuilder.Replace(Key, sb.ToString());
        }

        #endregion
    }
}
