using System.Collections.Generic;
using System.Linq;
using System.Text;
using BizTalk.BuildGenerator.MetaData;

namespace BizTalk.BuildGenerator.BuildFrameworks.Default.CommandBuilders.BizTalkHost
{    
    public class CreateHostInstanceBuilder : ICommandBuilder
    {
        private const string Command = "\t\t<BizTalk.BuildGenerator.Tasks.CreateHostInstance HostName=\"{0}\" Username=\"{1}\" Password=\"{2}\" />";
        private const string Key = "<!-- @CreateHostInstanceCommand@ -->";


        #region ICommandBuilder Members
        /// <summary>
        /// Implements the Command Builder
        /// </summary>
        /// <param name="args"></param>
        /// <param name="fileBuilder"></param>
        public void Build(GenerationArgs args, StringBuilder fileBuilder)
        {
            var sb = new StringBuilder();

            foreach (var cmd in
                args.BizTalkHosts.Hosts.Select(host => new List<string> {host.Name, host.Username, host.Password}).Select(a => string.Format(Command, a.ToArray())))
            {
                sb.AppendLine(cmd);
            }

            fileBuilder.Replace(Key, sb.ToString());
        }

        #endregion
    }
}
