using System.Linq;
using System.Text;
using BizTalk.BuildGenerator.MetaData;

namespace BizTalk.BuildGenerator.BuildFrameworks.Default.CommandBuilders.BizTalkHost
{   
    public class CreateReceiveHandlerBuilder : ICommandBuilder
    {
        private const string Command = "\t\t<BizTalk.BuildGenerator.Tasks.CreateReceiveHandler  HostName=\"{0}\" AdapterName=\"{1}\" />";
        private const string Key = "<!-- @CreateReceiveHandlerCommand@ -->";


        #region ICommandBuilder Members
        /// <summary>
        /// Implements the Command Builder
        /// </summary>
        /// <param name="args"></param>
        /// <param name="fileBuilder"></param>
        public void Build(GenerationArgs args, StringBuilder fileBuilder)
        {
            var sb = new StringBuilder();

            foreach (var cmd in args.BizTalkHosts.Hosts.SelectMany(host => (from handler in host.ReceiveHandlers
                                                                               where handler.Included
                                                                               select string.Format(Command, host.Name, handler.AdapterName))))
            {
                sb.AppendLine(cmd);
            }

            fileBuilder.Replace(Key, sb.ToString());
        }

        #endregion
    }
}
