using System.Linq;
using System.Text;
using BizTalk.BuildGenerator.MetaData;

namespace BizTalk.BuildGenerator.BuildFrameworks.Default.CommandBuilders.BizTalkHost
{    
    public class CreateSendHandlerBuilder : ICommandBuilder
    {
        private const string Command = "\t\t<BizTalk.BuildGenerator.Tasks.CreateSendHandler  HostName=\"{0}\" AdapterName=\"{1}\" />";
        private const string Key = "<!-- @CreateSendHandlerCommand@ -->";


        #region ICommandBuilder Members
        /// <summary>
        /// Implements the Command Builder
        /// </summary>
        /// <param name="args"></param>
        /// <param name="fileBuilder"></param>
        public void Build(GenerationArgs args, StringBuilder fileBuilder)
        {
            var sb = new StringBuilder();

            foreach (var cmd in from host in args.BizTalkHosts.Hosts
                                let host1 = host
                                from cmd in (from handler in host.SendHandlers
                                             where handler.Included
                                             select string.Format(Command, host1.Name, handler.AdapterName))
                                select cmd)
            {
                sb.AppendLine(cmd);
            }

            fileBuilder.Replace(Key, sb.ToString());
        }

        #endregion
    }
}
