using System.Linq;
using System.Text;
using BizTalk.BuildGenerator.MetaData;

namespace BizTalk.BuildGenerator.BuildFrameworks.Default.CommandBuilders.BizTalkHost
{   
    public class DeleteSendHandlerBuilder : ICommandBuilder
    {
        private const string Command = "\t\t<BizTalk.BuildGenerator.Tasks.DeleteSendHandler ContinueOnError=\"true\"   HostName=\"{0}\" AdapterName=\"{1}\" />";
        private const string Key = "<!-- @DeleteSendHandlerCommand@ -->";


        #region ICommandBuilder Members
        /// <summary>
        /// Implements the Command Builder
        /// </summary>
        /// <param name="args"></param>
        /// <param name="fileBuilder"></param>
        public void Build(GenerationArgs args, StringBuilder fileBuilder)
        {
            var sb = new StringBuilder();

            foreach (var cmd in from host in args.BizTalkHosts.Hosts
                                   from handler in host.SendHandlers
                                   where handler.Included
                                   select string.Format(Command, host.Name, handler.AdapterName))
            {
                sb.AppendLine(cmd);
            }

            fileBuilder.Replace(Key, sb.ToString());
        }

        #endregion
    }
}
