using System.Linq;
using System.Text;
using BizTalk.BuildGenerator.MetaData;

namespace BizTalk.BuildGenerator.BuildFrameworks.Default.CommandBuilders.BizTalkHost
{   
    public class StopHostCommandBuilder : ICommandBuilder
    {
        private const string Command = "\t\t<BizTalk.BuildGenerator.Tasks.StopHost ContinueOnError=\"true\"   HostName=\"{0}\" />";
        private const string Key = "<!-- @StopHostCommand@ -->";


        #region ICommandBuilder Members
        /// <summary>
        /// Implements the Command Builder
        /// </summary>
        /// <param name="args"></param>
        /// <param name="fileBuilder"></param>
        public void Build(GenerationArgs args, StringBuilder fileBuilder)
        {
            var sb = new StringBuilder();

            foreach (var cmd in from host in args.BizTalkHosts.Hosts
                                where host.HostType == BizTalkHostType.InProcess
                                select string.Format(Command, host.Name))
            {
                sb.AppendLine(cmd);
            }

            fileBuilder.Replace(Key, sb.ToString());
        }

        #endregion
    }
}
