using System.Text;
using BizTalk.BuildGenerator.MetaData;

namespace BizTalk.BuildGenerator.BuildFrameworks.Default.FileBuilders
{
    /// <summary>
    /// Builds the App.Custom.targets file
    /// </summary>
    public class CustomTargetsFileBuilder : IFileBuilder
    {
        private const string FileExtension = ".Custom.targets";

        #region IFileBuilder Members

        public void Build(GenerationArgs args)
        {
            var fileBuilder = new StringBuilder();
            fileBuilder.Append(Properties.Resources.App_Custom_targets);
            GenerationTags.ReplaceTags(fileBuilder, args);

            var filePath = args.OutputFolder + @"\" + args.ApplicationDescription.Name + FileExtension;
            FileHelper.WriteFile(filePath, fileBuilder);
        }

        #endregion
    }
}