
using System.Text;
using BizTalk.BuildGenerator.MetaData;

namespace BizTalk.BuildGenerator.BuildFrameworks.Default.FileBuilders
{
    public class DebugCmdFileBuilder : IFileBuilder
    {
        private const string FileExtension = ".Build.Debug.cmd";

        #region IFileBuilder Members

        public void Build(GenerationArgs args)
        {
            var fileBuilder = new StringBuilder();
            fileBuilder.Append(Properties.Resources.App_Build_Debug);
            GenerationTags.ReplaceTags(fileBuilder, args);

            var filePath = args.OutputFolder + @"\" + args.ApplicationDescription.Name + FileExtension;
            FileHelper.WriteFile(filePath, fileBuilder);
        }

        #endregion
    }
}