using System;
using System.Windows.Forms;
using BizTalk.BuildGenerator.MetaData;
using BizTalk.BuildGenerator.UI.Navigation;

namespace BizTalk.BuildGenerator.UI.UserControls
{
    public partial class ApplicationBindingsControl : UserControl, IWizardControl
    {
        private ApplicationBindings _bindings = new ApplicationBindings();

        public ApplicationBindingsControl()
        {
            InitializeComponent();
        }


        public void RegisterBindings(ApplicationBindings binding)
        {
            _bindings = binding;
        }

        private void ApplicationBindingsControlLoad(object sender, EventArgs e)
        {
            if (!DesignMode)
            {
                BuildPropertyGrid.SelectedObject = _bindings;
            }
        }

        #region IWizardControl Members

        public MoveNextResult MoveNext()
        {
            var result = new MoveNextResult {CanMoveNext = true};
            return result;
        }

        #endregion
    }
}