namespace BizTalk.BuildGenerator
{
    public sealed class PathHelper
    {
        /// <summary>
        /// Formats a path so it is confgurable based on build parameters
        /// </summary>
        /// <param name="path"></param>
        public static string MakeConfigurable(string path)
        {
            const string debug = @"\bin\Debug";
            const string release = @"\bin\Release";
            const string development = @"\bin\Development";
            const string deployment = @"\bin\Deployment";
            const string bizTalkPath = @"\bin\$(DeploymentMode)";
            const string dotNetPath = @"\bin\$(ConfigurationName)";

            path = path.Replace(debug, dotNetPath);
            path = path.Replace(release, dotNetPath);
            path = path.Replace(development, bizTalkPath);
            path = path.Replace(deployment, bizTalkPath);

            return path;
        }
    }
}